function dF = EffectiveFstat(vX,mZ)

mZnorm    = mZ - mean(mZ,1);   % demean instruments 
mZZ       = mZnorm' * mZnorm;  
mZnorm    = mZnorm * chol(inv(mZZ),'lower');  % orthogonalize instruments 
    
vCoefs    = inv(mZnorm' * mZnorm) * mZnorm' * vX;  % ols reduced form 
vRes      = vX - mZnorm * vCoefs;                  % residuals   
    
mW        = NeweyWest(vRes, mZnorm ,4, 0);          % variance covariance  

dF = vX' * mZnorm * mZnorm' * vX / trace(mW);       % F-stat    

end
